GETPID(2) | NetBSD System Calls Manual | GETPID(2)

# NAME

getpid, getppid — get parent or calling process identification

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

#include <unistd.h>

pid_t
getpid(void);

pid_t
getppid(void);

# DESCRIPTION

getpid() returns the process ID of the calling process. The ID is guaranteed to be unique and is useful for constructing temporary file names.

getppid() returns the process ID of the parent of the calling process.

# ERRORS

The getpid() and getppid() functions are always successful, and no return value is reserved to indicate an error.

# SEE ALSO

gethostid(3)

# STANDARDS

getpid() and getppid() conform to IEEE Std 1003.1-1990 (“POSIX.1”).

# HISTORY

The getpid() function appeared in Version 5 AT&T UNIX.

April 3, 2010 | NetBSD 5.99